package com.mvc.iot.aep.model;

/**
 * AEP平台设备api请求参数的补充对象
 */
public class AepDeviceApiOtherModel implements java.io.Serializable{
    private Integer autoObserver;//0.自动订阅 1.取消自动订阅，必填
    private String imsi;//总长度不超过15位，使用0~9的数字，String类型,选填;
    private String pskValue;//由大小写字母加0-9数字组成的16位字符串,选填;
    private Integer pskType;//取值0或者1,0代表普通字符串，1代表16进制字符串。选填

    public Integer getAutoObserver() {
        return autoObserver;
    }

    public void setAutoObserver(Integer autoObserver) {
        this.autoObserver = autoObserver;
    }

    public String getImsi() {
        return imsi;
    }

    public void setImsi(String imsi) {
        this.imsi = imsi;
    }

    public String getPskValue() {
        return pskValue;
    }

    public void setPskValue(String pskValue) {
        this.pskValue = pskValue;
    }

    public Integer getPskType() {
        return pskType;
    }

    public void setPskType(Integer pskType) {
        this.pskType = pskType;
    }
}
